Subject: Re: Boopsi questions
From: [email-masked] (Christoph Feck IRZ)
Date: Sun, 27 Feb 1994 05:07:13 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]>, [email-masked] (Dancing Fool of Epsilon) writes:
> One thing that you really should get is the source code from the
> Libraries manual off the Fish disks...I forget which disk.  It has
> source code for a BOOPSI gadget class, and how to make two BOOPSI
> gadgets talk to each other without program intervention.  It also

I already know about these things...

> sounded like you were making a BOOPSI class for file handling?  I don't

Yes.  streamclass.

> think this is such a good idea.  All BOOPSI dispatchers must be able to
> execute in Intuition's context, this means as a TASK, not a process. 

As long as I don't add my streamclass objects to a window, Intuition
won't even KNOW about the existance of the objects.

> Therefore it's not safe to use dos.library.  There maybe something about
> you implementation that may make it work, but it doesn't seem very safe.

It is safe.  Safer than sex :)

3k// Christoph Feck, TowerSystems
\X/ Amiga - Intuition inside.